App\Entity\Barcode:
    type: entity
    table: barcode
    id:
        id:
            type: integer
            nullable: false
            options:
                unsigned: false
            id: true
            generator:
                strategy: IDENTITY
    fields:
        sid:
            type: string
            nullable: false
            length: 40
            options:
                fixed: false
        barcode:
            type: string
            nullable: false
            length: 512
            options:
                fixed: false
        status:
            type: integer
            nullable: true
            options:
                unsigned: false
        creatorId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: creator_id
        creationDate:
            type: datetime
            nullable: false
            column: creation_date
        modifyId:
            type: integer
            nullable: true
            options:
                unsigned: false
            column: modify_id
        modifyDate:
            type: datetime
            nullable: false
            column: modify_date
    lifecycleCallbacks: {  }
